EAPI=8

inherit cmake desktop xdg flag-o-matic

DESCRIPTION="Woof! is a continuation of the Boom/MBF bloodline of Doom source ports"
HOMEPAGE="https://github.com/fabiangreffrath/woof"
SRC_URI="https://github.com/fabiangreffrath/${PN}/archive/refs/tags/woof_${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm64"
IUSE="fluidsynth json lto strict xmp"

DEPEND="
    >=dev-build/cmake-3.15
    >=media-libs/libsdl2-2.0.18
    media-libs/sdl2-net
    >=media-libs/openal-1.22.0
    >=media-libs/libsndfile-1.1.0
    >=media-libs/libebur128-1.2.0
    fluidsynth? ( >=media-sound/fluidsynth-2.2.0 )
    json? ( >=dev-libs/yyjson-0.10.0 )
    xmp? ( media-libs/libxmp )
"
BDEPEND="$DEPEND"
RDEPEND="$DEPEND"

src_unpack() {
	unpack ${A}
	mv woof-woof_${PV} ${P}
}

src_prepare() {
    cmake_src_prepare
}

src_configure() {
    filter-lto
    local mycmakeargs=(
        -DWOOF_STRICT=$(usex strict)
    )

    cmake_src_configure
}

src_install() {
    cmake_src_install
}