# Copyright 2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

inherit cmake

DESCRIPTION="ZDoom's internal node builder"
HOMEPAGE="https://zdoom.org"
SRC_URI="https://github.com/rheit/${PN}/archive/refs/tags/v${PV}.zip -> v${PV}.zip"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64"
IUSE="system-zlib"

DEPEND="system-zlib? ( sys-libs/zlib )"
RDEPEND="${DEPEND}"
BDEPEND=""

src_install() {
	dobin "${BUILD_DIR}"/${PN}
	dodoc ${PN}.html

	insinto /usr/share/${PN}
	doins *.png
}
